$(document).ready(function () {
  // Inicialize DataTable
  $('#table').DataTable({
      "ajax": {
          "url": "obterdados",
          "dataSrc": ""
      },
      "columns": [
        { "data": "id" },
        { "data": "owner_id" },
        { "data": "username" },
        { "data": "credito" },
          {
              "data": null,
              "render": function (data, type, row) {
                  return `
                      <button class="btn btn-success" data-toggle="modal" data-target="#addCreditModal" data-owner-id="${row.owner_id}" data-owner-name="${row.username}">
                          <i class="fas fa-plus"></i>
                      </button>
                      <button class="btn btn-danger" data-toggle="modal" data-target="#removeCreditModal" data-owner-id="${row.owner_id}" data-owner-name="${row.username}">
                          <i class="fas fa-minus"></i>
                      </button>
                      <button class="btn btn-warning" data-toggle="modal" data-target="#confirmDeleteModal" data-owner-id="${row.owner_id}" data-owner-name="${row.username}">
                          <i class="fas fa-trash" style="color: red;"></i>
                      </button>
                  `;
              }
          }
      ],
  });



// Adicione animação de carregamento
$.ajax({
  url: 'enviarrev?action=obterRevendedores',
  type: 'GET',
  success: function (data) {
    revendedores = data; // Supondo que a resposta já seja um array de revendedores
    console.log('Dados recebidos:', revendedores);
  },
  error: function (error) {
   // console.error(error);
    alert('Erro ao obter dados de revendedores.');
  }
});
});





$('#table').on('click', 'button', function () {
var ownerName = $(this).data('owner-name');
var ownerId = $(this).data('owner-id');

// Atualiza os campos do modal com os detalhes do cliente
$('#nome_usuario_adicionar').val(ownerName);
$('#userid_adicionar').val(ownerId);

$('#nome_usuario_remover').val(ownerName);
$('#userid_remover').val(ownerId);

$('#nome_usuario_confirmar_exclusao').val(ownerName);
$('#userid_confirmar_exclusao').val(ownerId);
});


function openModal(modalId, ownerId) {
var modal = $('#' + modalId);

// Obter os dados do usuário diretamente da tabela
var usuario = tabela.rows().data().filter(function (value) {
  return value.owner_id === ownerId;
});

// Verificar se encontrou o usuário
if (usuario.length > 0) {
  usuario = usuario[0];

  // Limpar os valores antigos
  modal.find('input[type="text"], input[type="hidden"], input[type="number"]').val('');

  // Preencher com os novos valores
  modal.find('#nome_usuario_' + modalId).text(usuario.username);
  modal.find('#userid_' + modalId).val(ownerId);

  // Abrir o modal
  modal.modal('show');
} else {
  alert('Usuário não encontrado.');
}
}




$('#table').on('click', 'button', function () {
var ownerName = $(this).data('owner-name');
var ownerId = $(this).data('owner-id');

$('#nome_usuario_adicionar').val(ownerName);
$('#userid_adicionar').val(ownerId);

$('#nome_usuario_remover').val(ownerName);
$('#userid_remover').val(ownerId);

$('#nome_usuario_confirmar_exclusao').val(ownerName);
$('#userid_confirmar_exclusao').val(ownerId);
$('#username_adicionar').val(ownerName);
});




function addCredits() {
var formData = $('#addCreditForm').serialize();

$.ajax({
type: 'POST',
url: 'adicionar_cre',
data: formData,
success: function (response) {
console.log(response);
// Lide com a resposta do servidor conforme necessário
},
error: function (error) {
//console.error('Erro na requisição AJAX:', error);
}
});
}

function removeCredits() {
  // Adicione o seguinte trecho para obter o valor do nome de usuário e atualizar o campo hidden
  var usernameValue = $('#nome_usuario_remover').val();
  $('#username_remover').val(usernameValue);

  var formData = $('#removeCreditForm').serialize();
  console.log(formData);

  $.ajax({
      type: 'POST',
      url: 'remover_cre',
      data: formData,
      success: function(response) {
          console.log(response);
          // Lide com a resposta do servidor conforme necessário
      },
      error: function(error) {
          //console.error('Erro na requisição AJAX:', error);
      }
  });
}

$(document).ready(function() {
  // Adicione um ouvinte de evento para atualizar o campo hidden quando o nome de usuário mudar
  $('#nome_usuario_remover').on('input', function() {
      var usernameValue = $(this).val();
      $('#username_remover').val(usernameValue);
  });

  // Adicione o evento de clique ao botão
  $("#btnRemoveCredits").on("click", removeCredits);
});
function removeUser() {
var userId = $('#userid_remover').val();

$.ajax({
  type: 'POST',
  url: 'confirmar_ex',
  data: {
      confirmar_exclusao: 1,
      userid: userId
  },
  success: function(response) {
      console.log(response);
      // Lide com a resposta do servidor conforme necessário
  },
  error: function(error) {
     // console.error('Erro na requisição AJAX:', error);
  }
});
}

$(document).ready(function() {
// Adicione o evento de clique ao botão
$("#btnRemoveUser").on("click", removeUser);
});

